using System.Collections.Generic;
using Siger.Middlelayer.Repository.Data;
using Siger.Middlelayer.Repository.Entities;
using Siger.Middlelayer.Repository.Paged;

namespace Siger.Middlelayer.Repository.Repositories.Interface
{
    public interface ISigerUserPowerRepository : IApiConfigRepositoryBase<siger_user_power>
    {
        IEnumerable<UserPower> GetUserRolePowers(int roleid);

        IPagedCollectionResult<UserPower> GetPowers(string name, string type, int page, int pagesize);

        IEnumerable<UserPower> GetAllPowers();

        IEnumerable<UserPower> GetProjectTypePowers(int projectTypeId);
        List<ResponseUserPower> GetUserPower(int type);
    }
}